--- a/lib/YAHC.pm
+++ b/lib/YAHC.pm
@@ -1210,7 +1210,7 @@
 Each YAHC connection goes through following list of states in its lifetime:
 
                   +-----------------+
-              +<<-|   INITALIZED    <-<<+
+              +<<-|   INITIALIZED   <-<<+
               v   +-----------------+   ^
               v           |             ^
               v   +-------v---------+   ^
@@ -1300,7 +1300,7 @@
 
 =item * provided callback has thrown exception
 
-=item * internal error has occured
+=item * internal error has occurred
 
 =back
 
@@ -1752,7 +1752,7 @@
 
 =head2 yahc_conn_user_data
 
-Let user assosiate arbitrary data with a connection. Be aware of not creating
+Let user associate arbitrary data with a connection. Be aware of not creating
 cyclic reference!
 
 =head2 yahc_conn_errors
@@ -1857,7 +1857,7 @@
             ) = @_;
 
             if ($error & YAHC::Error::TIMEOUT()) {
-                # A timeout has happend. Use one of YAHC::Error::*_TIMEOUT()
+                # A timeout has happened. Use one of YAHC::Error::*_TIMEOUT()
                 # constants for more clarification
             } elsif ($error & YAHC::Error::SSL_ERROR()) {
                 # We had some issues with SSL. $error might have
